Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356251 - User_data is being base64 encoded twice causing init script to fail for Openstack provisioning
Summary: User_data is being base64 encoded twice causing init script to fail for Opens...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.1
Assignee: Brandon Dunne
QA Contact: Ola Pavlenko
URL:
Whiteboard:
: 1356706 (view as bug list)
Depends On: 1355895
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 20:08 UTC by John Prause
Modified: 2017-08-30 03:44 UTC (History)
8 users (show)

Fixed In Version: 5.6.1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1355895
Environment:
Last Closed: 2016-08-18 17:56:58 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1634 normal SHIPPED_LIVE Important: CFME 5.6.1 security, bug fix, and enhancement update 2016-08-18 21:43:52 UTC

Comment 1 John Prause 2016-07-14 19:29:34 UTC
*** Bug 1356706 has been marked as a duplicate of this bug. ***

Comment 7 Brandon Dunne 2016-08-10 20:19:42 UTC
Ronnie,
You can deploy a VM and verify that cloud-init did apply the settings, or look at the fog.log and Base64 decode the "user_data" and verify that it matches the content of your cloud-init script (isn't another Base64 encoded string).

Comment 10 luke couzens 2016-08-18 09:59:54 UTC
Verified in 5.6.1.2

Comment 12 errata-xmlrpc 2016-08-18 17:56:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html


Note You need to log in before you can comment on or make changes to this bug.